#pragma once

#define EIGEN_DONT_ALIGN_STATICALLY
#include <Eigen/Dense>

#include "MatrixStack.h"
#include "Program.h"

class Collider
{
public:
	EIGEN_MAKE_ALIGNED_OPERATOR_NEW

	virtual double intersect(Eigen::Vector3d point, Eigen::Vector3d dir) = 0;
    virtual void update() = 0;
    virtual void init() = 0;
    virtual void load(const std::string &RESOURCE_DIR) = 0;
    virtual void draw(std::shared_ptr<MatrixStack> MV, const std::shared_ptr<Program> p) const = 0;
};